Mailinglist Archive: opensuse-commit (1903 mails)

< Previous Next >
commit libyui-ncurses for openSUSE:Factory
Hello community,

here is the log from the commit of package libyui-ncurses for openSUSE:Factory
checked in at 2019-04-22 12:35:12
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Comparing /work/SRC/openSUSE:Factory/libyui-ncurses (Old)
and /work/SRC/openSUSE:Factory/.libyui-ncurses.new.5536 (New)
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Package is "libyui-ncurses"

Mon Apr 22 12:35:12 2019 rev:44 rq: version:2.50.4

Changes:
--------
libyui-ncurses.changes: same change

Old:
----
libyui-ncurses-2.51.0.tar.bz2

New:
----
libyui-ncurses-2.50.4.tar.bz2

++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

Other differences:
------------------
++++++ libyui-ncurses-doc.spec ++++++
--- /var/tmp/diff_new_pack.G90FiD/_old 2019-04-22 12:35:17.069445539 +0200
+++ /var/tmp/diff_new_pack.G90FiD/_new 2019-04-22 12:35:17.113445584 +0200
@@ -1,7 +1,7 @@
#
# spec file for package libyui-ncurses-doc
#
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -17,10 +17,10 @@


%define parent libyui-ncurses
-%define so_version 10
+%define so_version 9

Name: %{parent}-doc
-Version: 2.51.0
+Version: 2.50.4
Release: 0
Source: %{parent}-%{version}.tar.bz2

@@ -31,7 +31,7 @@
BuildRequires: fdupes
BuildRequires: gcc-c++
BuildRequires: graphviz-gnome
-BuildRequires: libyui-devel >= 3.5.0
+BuildRequires: libyui-devel >= 3.4.0
BuildRequires: texlive-latex

Url: http://github.com/libyui/

++++++ libyui-ncurses.spec ++++++
--- /var/tmp/diff_new_pack.G90FiD/_old 2019-04-22 12:35:17.429445912 +0200
+++ /var/tmp/diff_new_pack.G90FiD/_new 2019-04-22 12:35:17.457445941 +0200
@@ -1,7 +1,7 @@
#
# spec file for package libyui-ncurses
#
-# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
+# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
@@ -17,11 +17,11 @@


Name: libyui-ncurses
-Version: 2.51.0
+Version: 2.50.4
Release: 0
Source: %{name}-%{version}.tar.bz2

-%define so_version 10
+%define so_version 9
%define bin_name %{name}%{so_version}

%if 0%{?suse_version} > 1325
@@ -33,7 +33,7 @@
BuildRequires: gcc-c++
BuildRequires: pkg-config

-%define libyui_devel_version libyui-devel >= 3.5.0
+%define libyui_devel_version libyui-devel >= 3.4.0
BuildRequires: %{libyui_devel_version}
BuildRequires: ncurses-devel


++++++ libyui-ncurses-2.51.0.tar.bz2 -> libyui-ncurses-2.50.4.tar.bz2 ++++++
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-ncurses-2.51.0/VERSION.cmake
new/libyui-ncurses-2.50.4/VERSION.cmake
--- old/libyui-ncurses-2.51.0/VERSION.cmake 2019-04-17 17:53:37.000000000
+0200
+++ new/libyui-ncurses-2.50.4/VERSION.cmake 2018-12-12 12:36:06.000000000
+0100
@@ -1,11 +1,12 @@
SET( VERSION_MAJOR "2" )
-SET( VERSION_MINOR "51" )
-SET( VERSION_PATCH "0" )
+SET( VERSION_MINOR "50" )
+SET( VERSION_PATCH "4" )
SET( VERSION
"${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}${GIT_SHA1_VERSION}" )

##### This is need for the libyui core, ONLY.
##### These will be overridden from exports in LibyuiConfig.cmake
-SET( SONAME_MAJOR "10" )
-SET( SONAME_MINOR "0" )
+SET( SONAME_MAJOR "5" )
+SET( SONAME_MINOR "1" )
SET( SONAME_PATCH "0" )
SET( SONAME "${SONAME_MAJOR}.${SONAME_MINOR}.${SONAME_PATCH}" )
+
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore'
old/libyui-ncurses-2.51.0/package/libyui-ncurses-doc.spec
new/libyui-ncurses-2.50.4/package/libyui-ncurses-doc.spec
--- old/libyui-ncurses-2.51.0/package/libyui-ncurses-doc.spec 2019-04-17
17:53:37.000000000 +0200
+++ new/libyui-ncurses-2.50.4/package/libyui-ncurses-doc.spec 2018-12-12
12:36:06.000000000 +0100
@@ -16,10 +16,10 @@
#

%define parent libyui-ncurses
-%define so_version 10
+%define so_version 9

Name: %{parent}-doc
-Version: 2.51.0
+Version: 2.50.4
Release: 0
Source: %{parent}-%{version}.tar.bz2

@@ -31,7 +31,7 @@
BuildRequires: gcc-c++
BuildRequires: graphviz-gnome
BuildRequires: texlive-latex
-BuildRequires: libyui-devel >= 3.5.0
+BuildRequires: libyui-devel >= 3.4.0

Url: http://github.com/libyui/
Summary: Libyui-ncurses documentation
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-ncurses-2.51.0/package/libyui-ncurses.changes
new/libyui-ncurses-2.50.4/package/libyui-ncurses.changes
--- old/libyui-ncurses-2.51.0/package/libyui-ncurses.changes 2019-04-17
17:53:37.000000000 +0200
+++ new/libyui-ncurses-2.50.4/package/libyui-ncurses.changes 2018-12-12
12:36:06.000000000 +0100
@@ -1,12 +1,4 @@
-------------------------------------------------------------------
-Wed Apr 17 13:51:42 UTC 2019 - Ladislav Slezak <lslezak@xxxxxxx>
-
-- Adapt to the latest libyui base library (REST API extension)
-- Bump the .so version to 10 to be compatible with the other
- libyui packages (bsc#1132247)
-- 2.51.0
-
--------------------------------------------------------------------
Wed Dec 12 11:17:24 UTC 2018 - lslezak@xxxxxxx

- libyui-ncurses-tools conflicts with libyui-ncurses8
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-ncurses-2.51.0/package/libyui-ncurses.spec
new/libyui-ncurses-2.50.4/package/libyui-ncurses.spec
--- old/libyui-ncurses-2.51.0/package/libyui-ncurses.spec 2019-04-17
17:53:37.000000000 +0200
+++ new/libyui-ncurses-2.50.4/package/libyui-ncurses.spec 2018-12-12
12:36:06.000000000 +0100
@@ -17,11 +17,11 @@


Name: libyui-ncurses
-Version: 2.51.0
+Version: 2.50.4
Release: 0
Source: %{name}-%{version}.tar.bz2

-%define so_version 10
+%define so_version 9
%define bin_name %{name}%{so_version}

%if 0%{?suse_version} > 1325
@@ -33,7 +33,7 @@
BuildRequires: gcc-c++
BuildRequires: pkg-config

-%define libyui_devel_version libyui-devel >= 3.5.0
+%define libyui_devel_version libyui-devel >= 3.4.0
BuildRequires: %{libyui_devel_version}
BuildRequires: ncurses-devel

diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-ncurses-2.51.0/src/NCDialog.h
new/libyui-ncurses-2.50.4/src/NCDialog.h
--- old/libyui-ncurses-2.51.0/src/NCDialog.h 2019-04-17 17:53:37.000000000
+0200
+++ new/libyui-ncurses-2.50.4/src/NCDialog.h 2018-12-12 12:36:06.000000000
+0100
@@ -58,8 +58,6 @@

virtual const char * location() const { return "NCDialog"; }

- wint_t getinput(); // get the input (respect terminal encoding)
-
private:

NCursesUserPanel<NCDialog> * pan;
@@ -105,11 +103,13 @@

std::map<int, NCstring> describeFunctionKeys();

+ wint_t getinput(); // get the input (respect terminal encoding)
+
bool flushTypeahead();

protected:

- virtual wint_t getch( int timeout_millisec = -1 );
+ wint_t getch( int timeout_millisec = -1 );

virtual NCursesEvent wHandleInput( wint_t ch );
virtual NCursesEvent wHandleHotkey( wint_t key );
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-ncurses-2.51.0/src/NCPushButton.cc
new/libyui-ncurses-2.50.4/src/NCPushButton.cc
--- old/libyui-ncurses-2.51.0/src/NCPushButton.cc 2019-04-17
17:53:37.000000000 +0200
+++ new/libyui-ncurses-2.50.4/src/NCPushButton.cc 2018-12-12
12:36:06.000000000 +0100
@@ -122,11 +122,3 @@
label.drawAt( *win, style, wpos( 0, 1 ), wsze( -1, win->width() - 2 ),
NC::CENTER );
}
-
-void NCPushButton::activate()
-{
- // focus the button
- setKeyboardFocus();
- // and fake pressing the RETURN key
- ::ungetch(KEY_RETURN);
-}
diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-ncurses-2.51.0/src/NCPushButton.h
new/libyui-ncurses-2.50.4/src/NCPushButton.h
--- old/libyui-ncurses-2.51.0/src/NCPushButton.h 2019-04-17
17:53:37.000000000 +0200
+++ new/libyui-ncurses-2.50.4/src/NCPushButton.h 2018-12-12
12:36:06.000000000 +0100
@@ -72,13 +72,6 @@

return true;
}
-
- /**
- * Activate the button. Can be used in tests to simulate user input.
- *
- * Derived classes are required to implement this.
- **/
- virtual void activate();

};

diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-ncurses-2.51.0/src/YNCursesUI.cc
new/libyui-ncurses-2.50.4/src/YNCursesUI.cc
--- old/libyui-ncurses-2.51.0/src/YNCursesUI.cc 2019-04-17 17:53:37.000000000
+0200
+++ new/libyui-ncurses-2.50.4/src/YNCursesUI.cc 2018-12-12 12:36:06.000000000
+0100
@@ -61,7 +61,8 @@
return YNCursesUI::ui();
}

-YNCursesUI::YNCursesUI( bool withThreads, bool topmostConstructor )
+
+YNCursesUI::YNCursesUI( bool withThreads )
: YUI( withThreads )
{
yuiMilestone() << "Start YNCursesUI" << std::endl;
@@ -106,10 +107,7 @@
abort();
}

- if ( topmostConstructor ) {
- yuiDebug() << "YNCursesUI is the top most constructor" << std::endl;
- topmostConstructorHasFinished();
- }
+ topmostConstructorHasFinished();
}


diff -urN '--exclude=CVS' '--exclude=.cvsignore' '--exclude=.svn'
'--exclude=.svnignore' old/libyui-ncurses-2.51.0/src/YNCursesUI.h
new/libyui-ncurses-2.50.4/src/YNCursesUI.h
--- old/libyui-ncurses-2.51.0/src/YNCursesUI.h 2019-04-17 17:53:37.000000000
+0200
+++ new/libyui-ncurses-2.50.4/src/YNCursesUI.h 2018-12-12 12:36:06.000000000
+0100
@@ -39,11 +39,9 @@
{
public:
/**
- * Having boolean topmostConstructor to be
- * called only when there is topmost constructor and not a plugin which
- * inherits from YNCursesUI. Used by integration testing framework
+ * Constructor
**/
- YNCursesUI( bool withThreads, bool topmostConstructor = true );
+ YNCursesUI( bool withThreads );

/**
* Destructor
@@ -139,3 +137,4 @@


#endif // YNCursesUI_h
+


< Previous Next >
This Thread